question

Richard Whidden avatar image
Richard Whidden asked ·

Android Version Compatibility

According to your Smartphone App page, the minimum required version is 4.0.  My phone is 4.0.4 but according to googleapps, it is incompatible.  What else does the app have for a requirement?

Thanks.
mobile appandroid appcompatibility
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

mario sella avatar image
mario sella answered ·
Hello Sir,  Actually website says Android 2.2, Am I wrong? I am having the same problem... see thread Android app not working - HTC device incompatible Previous release of the app worked flawlessly for years for me. DId you ever get around this problem Sir?

Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

mike avatar image
mike answered ·
The mobile app should work on the following: 

iOS 6.0 or higher
  BlackBerry 4.2 - 6.x
Android OS 4.0 or higher

RingCentral Mobile app Frequently Asked Questions

If you are still having problems let us know. 

Mike 
Share
1 |1000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MiB each and 10.0 MiB total.

Customer Spaces